/*
 * Class WEL_WORD_OPERATIONS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_540 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_540 [] = {0xFF01,1551,539,0xFFFF};
static const EIF_TYPE_INDEX egt_2_540 [] = {0xFF01,539,0xFFFF};
static const EIF_TYPE_INDEX egt_3_540 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_540 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_540 [] = {0xFF01,539,0xFFFF};
static const EIF_TYPE_INDEX egt_6_540 [] = {0xFF01,539,0xFFFF};
static const EIF_TYPE_INDEX egt_7_540 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_540 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_540 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_540 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_540 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_540 [] = {0xFF01,539,0xFFFF};


static const struct desc_info desc_540[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_540), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_540), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_540), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_540), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_540), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_540), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_540), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_540), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_540), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_540), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_540), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_540), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0437 /*539*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_540), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8553, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8551, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8552, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8554, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8555, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8556, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 8557, 0xFFFFFFFF},
};
void Init540(void)
{
	IDSC(desc_540, 0, 539);
	IDSC(desc_540 + 1, 1, 539);
	IDSC(desc_540 + 32, 1363, 539);
	IDSC(desc_540 + 35, 1610, 539);
}


#ifdef __cplusplus
}
#endif
